## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# NamespacesHandler::Namespace Class Reference

`#include <NamespacesHandler.hpp>`

Inheritance diagram for NamespacesHandler::Namespace:

[legend]
Collaboration diagram for NamespacesHandler::Namespace:

[legend]
List of all members.

## Public Methods

- Namespace ()
- Namespace (const XalanDOMString &prefix, const XalanDOMString &uri)
- const XalanDOMString& getPrefix () const
    Retrieve the prefix for namespace. More...
- void setPrefix (const XalanDOMString &prefix)
    Set the prefix for namespace. More...
- const XalanDOMString& getURI () const
    Retrieve the URI for namespace. More...
- void setURI (const XalanDOMString &uri)
    Set the URI for namespace. More...

## Static Protected Attributes

- const XalanDOMString s_emptyString

## Constructor & Destructor Documentation

NamespacesHandler::Namespace::Namespace ( | )

NamespacesHandler::Namespace::Namespace ( | const XalanDOMString & prefix,
| const XalanDOMString & uri )

## Member Function Documentation

const XalanDOMString & NamespacesHandler::Namespace::getPrefix ( | ) const

Retrieve the prefix for namespace.

Returns:
  prefix string

const XalanDOMString & NamespacesHandler::Namespace::getURI ( | ) const

Retrieve the URI for namespace.

Returns:
  URI string

void NamespacesHandler::Namespace::setPrefix ( | const XalanDOMString & prefix )

Set the prefix for namespace.

Parameters:

  prefix | The new prefix value

void NamespacesHandler::Namespace::setURI ( | const XalanDOMString & uri )

Set the URI for namespace.

Parameters:

  uri | The new uri value

## Member Data Documentation

const XalanDOMString NamespacesHandler::Namespace::s_emptyString`[static, protected]`

The documentation for this class was generated from the following file:

- NamespacesHandler.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.